Bug 15630 - update ORIGIN reference
update ORIGIN reference
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: Ian 'Hixie' Hickson
HTML WG Bugzilla archive list
http://dev.w3.org/html5/spec/Overview...
: WGDecision
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-19 17:15 UTC by Julian Reschke
Modified: 2012-02-09 08:49 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Reschke 2012-01-19 17:15:55 UTC
[ORIGIN] has been published as RFC 6454
Comment 2 Ian 'Hixie' Hickson 2012-02-08 00:28:29 UTC
The original bug isn't addressed by the given decision.

Reassigning to chairs for clarification.
Comment 3 Sam Ruby 2012-02-08 01:02:44 UTC
(In reply to comment #2)
> The original bug isn't addressed by the given decision.

The relevant portion of the decision:

Note that the change requested is to keep the spec updated with respect 
to the statuses of the relevant documents per RFC 2026.  In the time 
since that Change Proposal has been written, one such status has 
changed, and a bug report was opened to reflect that change:

   https://www.w3.org/Bugs/Public/show_bug.cgi?id=15630

The editor is strongly encouraged to process that bug and any others 
like it concurrently with the execution of this decision.

> Reassigning to chairs for clarification.

Reassigning back with the above clarification.

Just so it is clear: the decision is to follow RFC 2026.  The original Change Proposal reflected the state of the relevant specs at the time it was written.  At least one spec changed state, and a separate bug report was opened on that change, and that bug was referenced in the decision.  You are encouraged to process the Change Request and this bug concurrently.

If for any reason you do not know how to create a proper citation for the origin spec given its current state and RFC 2026, please mark this as RESOLVED NEEDSINFO, and I am confident that Julian will provide the necessary spec text for you to apply.
Comment 4 Ian 'Hixie' Hickson 2012-02-08 23:12:00 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: no spec change
Rationale: If the request here is just a very overly convoluted way of saying "please refer to Adam's RFC rather than his earlier draft", then this seems to have been fixed already.
Comment 5 Julian Reschke 2012-02-09 08:49:52 UTC
(In reply to comment #4)
> EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
> satisfied with this response, please change the state of this bug to CLOSED. If
> you have additional information and would like the editor to reconsider, please
> reopen this bug. If you would like to escalate the issue to the full HTML
> Working Group, please add the TrackerRequest keyword to this bug, and suggest
> title and text for the tracker issue; or you may create a tracker issue
> yourself, if you are able to do so. For more details, see this document:
>    http://dev.w3.org/html5/decision-policy/decision-policy.html
> 
> Status: Accepted
> Change Description: no spec change
> Rationale: If the request here is just a very overly convoluted way of saying
> "please refer to Adam's RFC rather than his earlier draft", then this seems to
> have been fixed already.

a) The bug was "[ORIGIN] has been published as RFC 6454". What's not clear about that?

b) Again, your resolution "worksforme" pretends that there was nothing to do, when indeed you did make the change. So the correct resolution is "fixed".